<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>gateway documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">gateway documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>AuthModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.44.1 (20200629.0846)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="1200pt" height="284pt"
 viewBox="0.00 0.00 1200.00 284.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 280)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-280 1196,-280 1196,4 -4,4"/>
<text text-anchor="start" x="575.01" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="362,-10 362,-30 382,-30 382,-10 362,-10"/>
<text text-anchor="start" x="385.63" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="475,-10 475,-30 495,-30 495,-10 475,-10"/>
<text text-anchor="start" x="498.73" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="561,-10 561,-30 581,-30 581,-10 561,-10"/>
<text text-anchor="start" x="584.78" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="658,-10 658,-30 678,-30 678,-10 658,-10"/>
<text text-anchor="start" x="681.67" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="754,-10 754,-30 774,-30 774,-10 754,-10"/>
<text text-anchor="start" x="777.73" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AuthModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-70 8,-268 1184,-268 1184,-70 8,-70"/>
</g>
<g id="clust4" class="cluster">
<title>cluster_AuthModule_exports</title>
<polygon fill="none" stroke="black" points="510,-208 510,-260 616,-260 616,-208 510,-208"/>
</g>
<g id="clust6" class="cluster">
<title>cluster_AuthModule_providers</title>
<polygon fill="none" stroke="black" points="132,-78 132,-130 1176,-130 1176,-78 132,-78"/>
</g>
<g id="clust3" class="cluster">
<title>cluster_AuthModule_imports</title>
<polygon fill="none" stroke="black" points="16,-78 16,-130 124,-130 124,-78 16,-78"/>
</g>
<!-- UsersModule -->
<g id="node1" class="node">
<title>UsersModule</title>
<polygon fill="#8dd3c7" stroke="black" points="115.92,-122 112.92,-126 91.92,-126 88.92,-122 24.08,-122 24.08,-86 115.92,-86 115.92,-122"/>
<text text-anchor="middle" x="70" y="-99.8" font-family="Times,serif" font-size="14.00">UsersModule</text>
</g>
<!-- AuthModule -->
<g id="node2" class="node">
<title>AuthModule</title>
<polygon fill="#8dd3c7" stroke="black" points="606.55,-187 603.55,-191 582.55,-191 579.55,-187 519.45,-187 519.45,-151 606.55,-151 606.55,-187"/>
<text text-anchor="middle" x="563" y="-164.8" font-family="Times,serif" font-size="14.00">AuthModule</text>
</g>
<!-- UsersModule&#45;&gt;AuthModule -->
<g id="edge1" class="edge">
<title>UsersModule&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M70,-122.29C70,-144.21 70,-178 70,-178 70,-178 509.25,-178 509.25,-178"/>
<polygon fill="black" stroke="black" points="509.25,-181.5 519.25,-178 509.25,-174.5 509.25,-181.5"/>
</g>
<!-- AuthService  -->
<g id="node3" class="node">
<title>AuthService </title>
<polygon fill="#fb8072" stroke="black" points="607.98,-252 518.02,-252 518.02,-216 607.98,-216 607.98,-252"/>
<text text-anchor="middle" x="563" y="-229.8" font-family="Times,serif" font-size="14.00">AuthService </text>
</g>
<!-- AuthModule&#45;&gt;AuthService  -->
<g id="edge2" class="edge">
<title>AuthModule&#45;&gt;AuthService </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M563,-187.11C563,-187.11 563,-205.99 563,-205.99"/>
<polygon fill="black" stroke="black" points="559.5,-205.99 563,-215.99 566.5,-205.99 559.5,-205.99"/>
</g>
<!-- AuthService -->
<g id="node4" class="node">
<title>AuthService</title>
<ellipse fill="#fdb462" stroke="black" cx="1109" cy="-104" rx="59.11" ry="18"/>
<text text-anchor="middle" x="1109" y="-99.8" font-family="Times,serif" font-size="14.00">AuthService</text>
</g>
<!-- AuthService&#45;&gt;AuthModule -->
<g id="edge3" class="edge">
<title>AuthService&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M1109,-122.29C1109,-144.21 1109,-178 1109,-178 1109,-178 616.76,-178 616.76,-178"/>
<polygon fill="black" stroke="black" points="616.76,-174.5 606.76,-178 616.76,-181.5 616.76,-174.5"/>
</g>
<!-- FacebookAdminStrategy -->
<g id="node5" class="node">
<title>FacebookAdminStrategy</title>
<ellipse fill="#fdb462" stroke="black" cx="924" cy="-104" rx="107.67" ry="18"/>
<text text-anchor="middle" x="924" y="-99.8" font-family="Times,serif" font-size="14.00">FacebookAdminStrategy</text>
</g>
<!-- FacebookAdminStrategy&#45;&gt;AuthModule -->
<g id="edge4" class="edge">
<title>FacebookAdminStrategy&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M924,-122.11C924,-141.34 924,-169 924,-169 924,-169 616.9,-169 616.9,-169"/>
<polygon fill="black" stroke="black" points="616.9,-165.5 606.9,-169 616.9,-172.5 616.9,-165.5"/>
</g>
<!-- FacebookStrategy -->
<g id="node6" class="node">
<title>FacebookStrategy</title>
<ellipse fill="#fdb462" stroke="black" cx="718" cy="-104" rx="80.52" ry="18"/>
<text text-anchor="middle" x="718" y="-99.8" font-family="Times,serif" font-size="14.00">FacebookStrategy</text>
</g>
<!-- FacebookStrategy&#45;&gt;AuthModule -->
<g id="edge5" class="edge">
<title>FacebookStrategy&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M718,-122.03C718,-138.4 718,-160 718,-160 718,-160 616.59,-160 616.59,-160"/>
<polygon fill="black" stroke="black" points="616.59,-156.5 606.59,-160 616.59,-163.5 616.59,-156.5"/>
</g>
<!-- JwtStrategy -->
<g id="node7" class="node">
<title>JwtStrategy</title>
<ellipse fill="#fdb462" stroke="black" cx="563" cy="-104" rx="56.76" ry="18"/>
<text text-anchor="middle" x="563" y="-99.8" font-family="Times,serif" font-size="14.00">JwtStrategy</text>
</g>
<!-- JwtStrategy&#45;&gt;AuthModule -->
<g id="edge6" class="edge">
<title>JwtStrategy&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M563,-122.11C563,-122.11 563,-140.99 563,-140.99"/>
<polygon fill="black" stroke="black" points="559.5,-140.99 563,-150.99 566.5,-140.99 559.5,-140.99"/>
</g>
<!-- LocalStrategy -->
<g id="node8" class="node">
<title>LocalStrategy</title>
<ellipse fill="#fdb462" stroke="black" cx="423" cy="-104" rx="65.41" ry="18"/>
<text text-anchor="middle" x="423" y="-99.8" font-family="Times,serif" font-size="14.00">LocalStrategy</text>
</g>
<!-- LocalStrategy&#45;&gt;AuthModule -->
<g id="edge7" class="edge">
<title>LocalStrategy&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M423,-122.03C423,-138.4 423,-160 423,-160 423,-160 509.09,-160 509.09,-160"/>
<polygon fill="black" stroke="black" points="509.09,-163.5 519.09,-160 509.09,-156.5 509.09,-163.5"/>
</g>
<!-- SocialAccountStrategy -->
<g id="node9" class="node">
<title>SocialAccountStrategy</title>
<ellipse fill="#fdb462" stroke="black" cx="240" cy="-104" rx="100.14" ry="18"/>
<text text-anchor="middle" x="240" y="-99.8" font-family="Times,serif" font-size="14.00">SocialAccountStrategy</text>
</g>
<!-- SocialAccountStrategy&#45;&gt;AuthModule -->
<g id="edge8" class="edge">
<title>SocialAccountStrategy&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M240,-122.11C240,-141.34 240,-169 240,-169 240,-169 509.44,-169 509.44,-169"/>
<polygon fill="black" stroke="black" points="509.44,-172.5 519.44,-169 509.44,-165.5 509.44,-172.5"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/services/auth/auth.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Providers<a href="https://angular.io/api/core/NgModule#providers" target="_blank"
                            title="Official documentation about module providers"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../injectables/AuthService.html">AuthService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/FacebookAdminStrategy.html">FacebookAdminStrategy</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/FacebookStrategy.html">FacebookStrategy</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/JwtStrategy.html">JwtStrategy</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/LocalStrategy.html">LocalStrategy</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/SocialAccountStrategy.html">SocialAccountStrategy</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/UsersModule.html">UsersModule</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Exports<a href="https://angular.io/api/core/NgModule#exports" target="_blank" title="Official documentation about module exports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../s/AuthService.html">AuthService</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Module } from &#x27;@nestjs/common&#x27;
import { PassportModule } from &#x27;@nestjs/passport&#x27;
import { JwtModule } from &#x27;@nestjs/jwt&#x27;
import { JwtStrategy } from &#x27;./jwt.strategy&#x27;
import { LocalStrategy } from &#x27;./local.strategy&#x27;
import { UsersModule } from &#x27;../users/users.module&#x27;
import { AuthService } from &#x27;./auth.service&#x27;
import { ConfigService } from &#x27;@nestjs/config&#x27;
import { SocialAccountStrategy } from &#x27;./social/social-account-strategy&#x27;
import { FacebookStrategy } from &#x27;./social/facebook/facebook.strategy&#x27;
import { FacebookAdminStrategy } from &#x27;./social/facebook/facebook-admin-strategy&#x27;

@Module({
  imports: [
    UsersModule,
    PassportModule.register({ defaultStrategy: &#x27;jwt&#x27; }),
    JwtModule.registerAsync({
      useFactory: async (configService: ConfigService) &#x3D;&gt; ({
        // secret: configService.get(&#x27;ACCOUNT_KEY&#x27;),
        secret: process.env.ACCOUNT_KEY,
        signOptions: { expiresIn: &#x27;7d&#x27; },
      }),
    }),
  ],
  providers: [
    AuthService,
    LocalStrategy,
    SocialAccountStrategy,
    FacebookStrategy,
    FacebookAdminStrategy,
    JwtStrategy,
  ],
  exports: [AuthService],
})
export class AuthModule { }</code></pre>
    </div>
</div>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'AuthModule.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
